version: "3.8"

services:
  app:
    image: my-react-vite-app
    build:
      dockerfile: Dockerfile
    container_name: my-react-vite-app
    ports:
      - 5173:5173
    volumes:
      - .:/app
      - node_modules:/app/node_modules/
    env_file: .env.production
volumes:
  node_modules: